import request from '@/utils/request'

// 查询围栏闯禁事件列表
export function listFenceVioEvt(query) {
  return request({
    url: '/bd/fenceVioEvt/list',
    method: 'get',
    params: query
  })
}

export function listAllFenceVioEvt(query) {
  return request({
    url: '/bd/fenceVioEvt/listAll',
    method: 'get',
    params: query
  })
}

// 查询围栏闯禁事件详细
export function getFenceVioEvt(id) {
  return request({
    url: '/bd/fenceVioEvt/' + id,
    method: 'get'
  })
}

// 新增围栏闯禁事件
export function addFenceVioEvt(data) {
  return request({
    url: '/bd/fenceVioEvt',
    method: 'post',
    data: data
  })
}

// 修改围栏闯禁事件
export function updateFenceVioEvt(data) {
  return request({
    url: '/bd/fenceVioEvt',
    method: 'put',
    data: data
  })
}

// 删除围栏闯禁事件
export function delFenceVioEvt(id) {
  return request({
    url: '/bd/fenceVioEvt/' + id,
    method: 'delete'
  })
}
